Nachricht für neue Nutzer.
Nachricht für engagierte Nutzer.

MediaWiki:Vorlage Lernpfad.css: Unterschied zwischen den Versionen

Aus ZUM-Unterrichten
KKeine Bearbeitungszusammenfassung
Markierung: Zurückgesetzt
KKeine Bearbeitungszusammenfassung
 
(6 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 7: Zeile 7:




.zum-box--titel > span:has(> .zum-lernpfad--qrcode) {
width: 100%;
display: inline-flex;
}
.zum-lernpfad .zum-box--titel {


.zum-lernpfad .zum-box--titel .zum-lernpfad--qrcode {
  > span:has(> .zum-lernpfad--qrcode) {
  margin-inline-start:auto;
    width:100%;
    display: inline-flex;
  }
  .zum-lernpfad--qrcode {
    margin-inline-start:auto;
  }
}
}


Zeile 17: Zeile 27:
   gap:0.5em;
   gap:0.5em;
}
}
.zum-lernpfad--inhalt--main {
.zum-lernpfad--inhalt--main{
   max-width:70%;
   flex-grow:1;
}
.zum-lernpfad--inhalt--main:has(+ .zum-lernpfad--inhalt--aside){
  flex-grow:0.7;
}
}
.zum-lernpfad--inhalt--aside {
.zum-lernpfad--inhalt--aside {
   margin-inline-start: auto;
   margin-inline-start: auto;
   max-width: 30%;
   flex-grow:0.3;
}
}
}
}


[Kategorie:ZUM-CSS]
.zum-lernpfad--lerneinheit--trailer {
  > .zum-block {
    display:flex;
    flex-wrap:wrap;
    > .zum-fortsetzung {
      flex-basis:100%;
    }
    > .lernpfad-lerneinheit--trailer--bild {
      margin-inline-start: auto;
    }
  }
 
 
}

Aktuelle Version vom 22. März 2026, 09:47 Uhr

/*
 * Vorlage:Lernpfad:Neu
 */
.zum-lernpfad {
  display:contents;
}


.zum-box--titel > span:has(> .zum-lernpfad--qrcode) {
width: 100%;
display: inline-flex;
}
.zum-lernpfad .zum-box--titel { 

  > span:has(> .zum-lernpfad--qrcode) {
    width:100%;
    display: inline-flex;
  }
  .zum-lernpfad--qrcode {
    margin-inline-start:auto;
  }
}

@media(min-width:815px) {
.zum-lernpfad--inhalt {
  display:flex;
  gap:0.5em;
}
.zum-lernpfad--inhalt--main{
  flex-grow:1;
}
.zum-lernpfad--inhalt--main:has(+ .zum-lernpfad--inhalt--aside){
  flex-grow:0.7;
}
.zum-lernpfad--inhalt--aside {
  margin-inline-start: auto;
  flex-grow:0.3;
}
}

.zum-lernpfad--lerneinheit--trailer {
  > .zum-block {
    display:flex;
    flex-wrap:wrap;
    > .zum-fortsetzung {
      flex-basis:100%;
    }
    > .lernpfad-lerneinheit--trailer--bild {
       margin-inline-start: auto;
    }
  }

  
}